<?php

namespace Drupal\Tests\yaml2php\Functional;

use Drupal\Core\Url;
use Drupal\Tests\BrowserTestBase;

/**
 * Simple test to ensure that main page loads with module enabled.
 *
 * @group yaml2php
 */
class LoadTest extends BrowserTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = ['yaml2php'];

  /**
   * A user with permission to administer site configuration.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $user;

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();
    $this->user = $this->drupalCreateUser(['administer site configuration', 'access administration pages']);
    $this->drupalLogin($this->user);
  }

  /**
   * Tests that the home page loads with a 200 response.
   */
  public function testLoad() {
    $this->drupalGet(Url::fromRoute('<front>'));
    $this->assertSession()->statusCodeEquals(200);

    // Visit the conversion form that requires login with a url object.
    $url = Url::fromRoute('yaml2php.converter_form');
    $this->drupalGet($url);
    $this->assertSession()->statusCodeEquals(200);

    // Test that the form contains the snippet field label.
    $this->assertSession()->pageTextContains('YAML snippet');
  }

}
